[llvm-commits] [hlvm] r38073 - in /hlvm/trunk: autoconf/configure.ac configure

Reid Spencer reid at x10sys.com
Sat Jul 7 16:59:35 PDT 2007


Author: reid
Date: Sat Jul  7 18:59:35 2007
New Revision: 38073

URL: http://llvm.org/viewvc/llvm-project?rev=38073&view=rev
Log:
Remove expat and syck. They're not needed/used at the moment.

Modified:
    hlvm/trunk/autoconf/configure.ac
    hlvm/trunk/configure

Modified: hlvm/trunk/autoconf/configure.ac
URL: http://llvm.org/viewvc/llvm-project/hlvm/trunk/autoconf/configure.ac?rev=38073&r1=38072&r2=38073&view=diff

==============================================================================
--- hlvm/trunk/autoconf/configure.ac (original)
+++ hlvm/trunk/autoconf/configure.ac Sat Jul  7 18:59:35 2007
@@ -293,7 +293,6 @@
                   [Apache Portable Runtime Utilities])
 HLVM_FIND_LIBRARY([xml2],[libxml/parser.h],[xml2],
                   [xmlCreateFileParserCtxt],[libxml2 XML C Parser])
-HLVM_FIND_LIBRARY([syck],[syck.h],[syck],[syck_parse],[Syck Yaml Handler])
 
 dnl -- Check for specific libraries we depend on.
 if test "$HLVM_EFENCE" = true ; then 
@@ -306,7 +305,7 @@
 dnl -- SECTION 5: Check For Needed Header Files
 dnl --
 dnl ----------------------------------------------------------------------------
-AC_CHECK_HEADERS([expat_external.h llvm/Module.h syck_st.h])
+AC_CHECK_HEADERS([llvm/Module.h])
 
 dnl ----------------------------------------------------------------------------
 dnl --

Modified: hlvm/trunk/configure
URL: http://llvm.org/viewvc/llvm-project/hlvm/trunk/configure?rev=38073&r1=38072&r2=38073&view=diff

==============================================================================
--- hlvm/trunk/configure (original)
+++ hlvm/trunk/configure Sat Jul  7 18:59:35 2007
@@ -315,7 +315,7 @@
 # include <unistd.h>
 #endif"
 
-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS HLVM_COPYRIGHT HLVM_PACKAGE HLVM_VERSION HLVM_SO_VERSION HLVM_SO_CURRENT HLVM_SO_REVISION HLVM_SO_AGE HLVM_SHAREDPREFIX HLVM_DEBUG HLVM_OPTIMIZE HLVM_INLINE HLVM_ASSERT HLVM_TRACE HLVM_SMALL HLVM_EFENCE HLVM_PROFILING HLVM_WITH_WORKSPACE HLVM_WITH_INCLUDES HLVM_WITH_LLVM_SRC HLVM_WITH_LLVM_OBJ HLVM_WITH_LLVMGCC CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP CXX CXXFLAGS ac_ct_CXX ifGNUmake apr_INC apr_LIB apru_INC apru_LIB xml2_INC xml2_LIB syck_INC syck_LIB EGREP HLVM_CFGNAME HLVM_CONFIGTIME HLVM_PREFIX LIBOBJS LTLIBOBJS'
+ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS HLVM_COPYRIGHT HLVM_PACKAGE HLVM_VERSION HLVM_SO_VERSION HLVM_SO_CURRENT HLVM_SO_REVISION HLVM_SO_AGE HLVM_SHAREDPREFIX HLVM_DEBUG HLVM_OPTIMIZE HLVM_INLINE HLVM_ASSERT HLVM_TRACE HLVM_SMALL HLVM_EFENCE HLVM_PROFILING HLVM_WITH_WORKSPACE HLVM_WITH_INCLUDES HLVM_WITH_LLVM_SRC HLVM_WITH_LLVM_OBJ HLVM_WITH_LLVMGCC CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CPP CXX CXXFLAGS ac_ct_CXX ifGNUmake apr_INC apr_LIB apru_INC apru_LIB xml2_INC xml2_LIB EGREP HLVM_CFGNAME HLVM_CONFIGTIME HLVM_PREFIX LIBOBJS LTLIBOBJS'
 ac_subst_files=''
 
 # Initialize some variables set by options.
@@ -901,11 +901,6 @@
                           DIR
   --with-XML2-inc=DIR     Specify that the libxml2 XML C Parser includes are
                           in DIR
-  --with-SYCK=DIR         Specify that the Syck Yaml Handler install prefix is
-                          DIR
-  --with-SYCK-lib=DIR     Specify that Syck Yaml Handler libraries are in DIR
-  --with-SYCK-inc=DIR     Specify that the Syck Yaml Handler includes are in
-                          DIR
 
 Some influential environment variables:
   CC          C compiler command
@@ -5271,521 +5266,6 @@
 fi
 
 
-
-# Check whether --with-SYCK or --without-SYCK was given.
-if test "${with_SYCK+set}" = set; then
-  withval="$with_SYCK"
-  syckpfxdir=$withval
-else
-  syckpfxdir=nada
-fi;
-
-# Check whether --with-SYCK-lib or --without-SYCK-lib was given.
-if test "${with_SYCK_lib+set}" = set; then
-  withval="$with_SYCK_lib"
-  sycklibdir=$withval
-else
-  sycklibdir=nada
-fi;
-
-# Check whether --with-SYCK-inc or --without-SYCK-inc was given.
-if test "${with_SYCK_inc+set}" = set; then
-  withval="$with_SYCK_inc"
-  syckincdir=$withval
-else
-  syckincdir=nada
-fi;
-pfxval="${syckpfxdir}"
-incval="${syckincdir}"
-libval="${sycklibdir}"
-echo "$as_me:$LINENO: checking for Syck Yaml Handler library and header" >&5
-echo $ECHO_N "checking for Syck Yaml Handler library and header... $ECHO_C" >&6
-hlvm_found_lib=0
-hlvm_found_inc=0
-if test "${pfxval}" != "nada" ; then
-  if test -d "${pfxval}" ; then
-
-hlvm_found_inc=0
-if test -d "${pfxval}" ; then
-  if test -n "syck.h" ; then
-    for dir in "${pfxval}/include" "${pfxval}" "${pfxval}/include/syck" ; do
-      if test -d "$dir" ; then
-        if test -f "$dir/syck.h" ; then
-          syck_INC="$dir"
-
-          hlvm_found_inc=1
-        fi
-      fi
-    done
-  fi
-fi
-
-
-hlvm_found_lib=0
-if test -d "${pfxval}" ; then
-  if test -n "syck" ; then
-    for dir in "${pfxval}" "${pfxval}/lib" ; do
-      if test -d "$dir" ; then
-        if test -f "$dir/libsyck.so" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        elif test -f "$dir/libsyck.a" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        elif test -f "$dir/libsyck.la" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        fi
-      fi
-    done
-  fi
-fi
-
-  else
-    echo "$as_me:$LINENO: result: failed" >&5
-echo "${ECHO_T}failed" >&6;
-    { { echo "$as_me:$LINENO: error: The --with-syck value must be a directory" >&5
-echo "$as_me: error: The --with-syck value must be a directory" >&2;}
-   { (exit 1); exit 1; }; }
-  fi
-else
-  if test "${libval}" != "nada" ; then
-
-hlvm_found_lib=0
-if test -d "${libval}" ; then
-  if test -n "syck" ; then
-    for dir in "${libval}" "${libval}/lib" ; do
-      if test -d "$dir" ; then
-        if test -f "$dir/libsyck.so" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        elif test -f "$dir/libsyck.a" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        elif test -f "$dir/libsyck.la" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        fi
-      fi
-    done
-  fi
-fi
-
-  fi
-  if test "${incval}" != "nada" ; then
-
-hlvm_found_inc=0
-if test -d "${incval}" ; then
-  if test -n "syck.h" ; then
-    for dir in "${incval}/include" "${incval}" "${incval}/include/syck" ; do
-      if test -d "$dir" ; then
-        if test -f "$dir/syck.h" ; then
-          syck_INC="$dir"
-
-          hlvm_found_inc=1
-        fi
-      fi
-    done
-  fi
-fi
-
-  fi
-fi
-if test "$hlvm_found_lib" != 1 ; then
-
-hlvm_found_lib=0
-if test -d "/usr" ; then
-  if test -n "syck" ; then
-    for dir in "/usr" "/usr/lib" ; do
-      if test -d "$dir" ; then
-        if test -f "$dir/libsyck.so" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        elif test -f "$dir/libsyck.a" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        elif test -f "$dir/libsyck.la" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        fi
-      fi
-    done
-  fi
-fi
-
-fi
-if test "$hlvm_found_lib" != 1 ; then
-
-hlvm_found_lib=0
-if test -d "/usr/local" ; then
-  if test -n "syck" ; then
-    for dir in "/usr/local" "/usr/local/lib" ; do
-      if test -d "$dir" ; then
-        if test -f "$dir/libsyck.so" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        elif test -f "$dir/libsyck.a" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        elif test -f "$dir/libsyck.la" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        fi
-      fi
-    done
-  fi
-fi
-
-fi
-if test "$hlvm_found_lib" != 1 ; then
-
-hlvm_found_lib=0
-if test -d "/proj/install" ; then
-  if test -n "syck" ; then
-    for dir in "/proj/install" "/proj/install/lib" ; do
-      if test -d "$dir" ; then
-        if test -f "$dir/libsyck.so" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        elif test -f "$dir/libsyck.a" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        elif test -f "$dir/libsyck.la" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        fi
-      fi
-    done
-  fi
-fi
-
-fi
-if test "$hlvm_found_lib" != 1 ; then
-
-hlvm_found_lib=0
-if test -d "/sw" ; then
-  if test -n "syck" ; then
-    for dir in "/sw" "/sw/lib" ; do
-      if test -d "$dir" ; then
-        if test -f "$dir/libsyck.so" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        elif test -f "$dir/libsyck.a" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        elif test -f "$dir/libsyck.la" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        fi
-      fi
-    done
-  fi
-fi
-
-fi
-if test "$hlvm_found_lib" != 1 ; then
-
-hlvm_found_lib=0
-if test -d "/opt" ; then
-  if test -n "syck" ; then
-    for dir in "/opt" "/opt/lib" ; do
-      if test -d "$dir" ; then
-        if test -f "$dir/libsyck.so" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        elif test -f "$dir/libsyck.a" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        elif test -f "$dir/libsyck.la" ; then
-          syck_LIB=$dir
-
-          hlvm_found_lib=1
-        fi
-      fi
-    done
-  fi
-fi
-
-fi
-if test "$hlvm_found_inc" != 1 ; then
-
-hlvm_found_inc=0
-if test -d "/usr" ; then
-  if test -n "syck.h" ; then
-    for dir in "/usr/include" "/usr" "/usr/include/syck" ; do
-      if test -d "$dir" ; then
-        if test -f "$dir/syck.h" ; then
-          syck_INC="$dir"
-
-          hlvm_found_inc=1
-        fi
-      fi
-    done
-  fi
-fi
-
-fi
-if test "$hlvm_found_inc" != 1 ; then
-
-hlvm_found_inc=0
-if test -d "/usr/local" ; then
-  if test -n "syck.h" ; then
-    for dir in "/usr/local/include" "/usr/local" "/usr/local/include/syck" ; do
-      if test -d "$dir" ; then
-        if test -f "$dir/syck.h" ; then
-          syck_INC="$dir"
-
-          hlvm_found_inc=1
-        fi
-      fi
-    done
-  fi
-fi
-
-fi
-if test "$hlvm_found_inc" != 1 ; then
-
-hlvm_found_inc=0
-if test -d "/proj/install" ; then
-  if test -n "syck.h" ; then
-    for dir in "/proj/install/include" "/proj/install" "/proj/install/include/syck" ; do
-      if test -d "$dir" ; then
-        if test -f "$dir/syck.h" ; then
-          syck_INC="$dir"
-
-          hlvm_found_inc=1
-        fi
-      fi
-    done
-  fi
-fi
-
-fi
-if test "$hlvm_found_inc" != 1 ; then
-
-hlvm_found_inc=0
-if test -d "/sw" ; then
-  if test -n "syck.h" ; then
-    for dir in "/sw/include" "/sw" "/sw/include/syck" ; do
-      if test -d "$dir" ; then
-        if test -f "$dir/syck.h" ; then
-          syck_INC="$dir"
-
-          hlvm_found_inc=1
-        fi
-      fi
-    done
-  fi
-fi
-
-fi
-if test "$hlvm_found_inc" != 1 ; then
-
-hlvm_found_inc=0
-if test -d "/opt" ; then
-  if test -n "syck.h" ; then
-    for dir in "/opt/include" "/opt" "/opt/include/syck" ; do
-      if test -d "$dir" ; then
-        if test -f "$dir/syck.h" ; then
-          syck_INC="$dir"
-
-          hlvm_found_inc=1
-        fi
-      fi
-    done
-  fi
-fi
-
-fi
-if test "$hlvm_found_inc" == 1 ; then
-  if test "$hlvm_found_lib" == 1 ; then
-    echo "$as_me:$LINENO: result: found" >&5
-echo "${ECHO_T}found" >&6
-    incdir=${syck_INC}
-    libdir=${syck_LIB}
-
- echo "$LDFLAGS" | grep -- "-L"${libdir}"" >/dev/null 2>/dev/null
- if test $? -ne 0 ; then
-   LDFLAGS="$LDFLAGS -L"${libdir}""
- fi
-
-    echo "$as_me:$LINENO: checking for library containing syck_parse" >&5
-echo $ECHO_N "checking for library containing syck_parse... $ECHO_C" >&6
-if test "${ac_cv_search_syck_parse+set}" = set; then
-  echo $ECHO_N "(cached) $ECHO_C" >&6
-else
-  ac_func_search_save_LIBS=$LIBS
-ac_cv_search_syck_parse=no
-cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any gcc2 internal prototype to avoid an error.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
-char syck_parse ();
-int
-main ()
-{
-syck_parse ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_search_syck_parse="none required"
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-if test "$ac_cv_search_syck_parse" = no; then
-  for ac_lib in syck; do
-    LIBS="-l$ac_lib  $ac_func_search_save_LIBS"
-    cat >conftest.$ac_ext <<_ACEOF
-/* confdefs.h.  */
-_ACEOF
-cat confdefs.h >>conftest.$ac_ext
-cat >>conftest.$ac_ext <<_ACEOF
-/* end confdefs.h.  */
-
-/* Override any gcc2 internal prototype to avoid an error.  */
-#ifdef __cplusplus
-extern "C"
-#endif
-/* We use char because int might match the return type of a gcc2
-   builtin and then its argument prototype would still apply.  */
-char syck_parse ();
-int
-main ()
-{
-syck_parse ();
-  ;
-  return 0;
-}
-_ACEOF
-rm -f conftest.$ac_objext conftest$ac_exeext
-if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
-  (eval $ac_link) 2>conftest.er1
-  ac_status=$?
-  grep -v '^ *+' conftest.er1 >conftest.err
-  rm -f conftest.er1
-  cat conftest.err >&5
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); } &&
-	 { ac_try='test -z "$ac_c_werror_flag"
-			 || test ! -s conftest.err'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; } &&
-	 { ac_try='test -s conftest$ac_exeext'
-  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
-  (eval $ac_try) 2>&5
-  ac_status=$?
-  echo "$as_me:$LINENO: \$? = $ac_status" >&5
-  (exit $ac_status); }; }; then
-  ac_cv_search_syck_parse="-l$ac_lib"
-break
-else
-  echo "$as_me: failed program was:" >&5
-sed 's/^/| /' conftest.$ac_ext >&5
-
-fi
-rm -f conftest.err conftest.$ac_objext \
-      conftest$ac_exeext conftest.$ac_ext
-  done
-fi
-LIBS=$ac_func_search_save_LIBS
-fi
-echo "$as_me:$LINENO: result: $ac_cv_search_syck_parse" >&5
-echo "${ECHO_T}$ac_cv_search_syck_parse" >&6
-if test "$ac_cv_search_syck_parse" != no; then
-  test "$ac_cv_search_syck_parse" = "none required" || LIBS="$ac_cv_search_syck_parse $LIBS"
-  found_sym=1
-else
-  found_sym=0
-fi
-
-    if test "$found_sym" == "1" ; then
-      { echo "$as_me:$LINENO: Found syck in ${incdir} and ${libdir}" >&5
-echo "$as_me: Found syck in ${incdir} and ${libdir}" >&6;}
-
- echo "$CPPFLAGS" | grep -- "-I"${incdir}"" >/dev/null 2>/dev/null
- if test $? -ne 0 ; then
-   CPPFLAGS="$CPPFLAGS -I"${incdir}""
- fi
-
-    else
-      { echo "$as_me:$LINENO: Symbol 'syck_parse' not found in library syck in ${libdir}" >&5
-echo "$as_me: Symbol 'syck_parse' not found in library syck in ${libdir}" >&6;}
-    fi
-  else
-    echo "$as_me:$LINENO: result: failed to find library file" >&5
-echo "${ECHO_T}failed to find library file" >&6
-    { { echo "$as_me:$LINENO: error: The --with-SYCK-lib option must be used" >&5
-echo "$as_me: error: The --with-SYCK-lib option must be used" >&2;}
-   { (exit 1); exit 1; }; }
-  fi
-else
-  echo "$as_me:$LINENO: result: failed to find header file" >&5
-echo "${ECHO_T}failed to find header file" >&6
-  { { echo "$as_me:$LINENO: error: The --with-SYCK-inc option must be used" >&5
-echo "$as_me: error: The --with-SYCK-inc option must be used" >&2;}
-   { (exit 1); exit 1; }; }
-fi
-
-
 if test "$HLVM_EFENCE" = true ; then
 
 echo "$as_me:$LINENO: checking for malloc in -lefence" >&5
@@ -6122,9 +5602,7 @@
 
 
 
-
-
-for ac_header in expat_external.h llvm/Module.h syck_st.h
+for ac_header in llvm/Module.h
 do
 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
 if eval "test \"\${$as_ac_Header+set}\" = set"; then
@@ -7016,8 +6494,6 @@
 s, at apru_LIB@,$apru_LIB,;t t
 s, at xml2_INC@,$xml2_INC,;t t
 s, at xml2_LIB@,$xml2_LIB,;t t
-s, at syck_INC@,$syck_INC,;t t
-s, at syck_LIB@,$syck_LIB,;t t
 s, at EGREP@,$EGREP,;t t
 s, at HLVM_CFGNAME@,$HLVM_CFGNAME,;t t
 s, at HLVM_CONFIGTIME@,$HLVM_CONFIGTIME,;t t





More information about the llvm-commits mailing list